#!/usr/bin/perl -w
use diagnostics;
use strict;

package Interpreter ;
	# subclass of ezApp::Interpreter.
		use ezApp::Interpreter ;	
		use vars qw(@ISA) ;	
		@ISA = qw(ezApp::Interpreter) ;
	
		#	Copyright (c) 2001 Richard K. Moore.  All Rights Reserved.

#---------------------------------------------------------------
#
#		Interpreter is responsible for defining and interpreting extended 
#		tags, where they are not more easily done on screens.
#
#		If no such methods are needed, this module can be left alone.
#
#---------------------------------------------------------------

# If you are defining tag methods, list them by name here so that
# ezApp::Interpreter will know to call your methods when the tags
# are encountered. If you want to handle a start tag, your method
# should be named "_$TagName", for an end tag, "${TagName}_".

	my @TagNames = qw 
		( ) ;

#---------------------------------------------------------------
sub new 	
{
	my ($class,$job,$ParsingContext,$ExtraTags, @ExtraArgs) = @_;
	my @ExtraTags = ( @TagNames, $ExtraTags ? @$ExtraTags : () );
	my $self = ezApp::Interpreter->new
		($job, $ParsingContext, [@ExtraTags], @ExtraArgs) ;
	bless $self, $class ;	
$self}
#----------------------------------------------------------------------
1 ;
