#!/usr/bin/perl -w
use diagnostics ;
use strict ;

package ccConfig ;  

# The DBI access parameters for the database 
  my $DBHandler     = 'mysql';
  my $DBName      = 'dbname';
  my $DBUser        = 'root';
  my $DBPassword  = '';
  
# - in some apache / perl setups the above 4 settings may not be passed correctly to other modules of this program
# - when this problem occurs, reset the values by hard coding them in ezApp/DB.pm - mwl
  
  
  
# The userid and password for Super User status:
  my $SuperUser           = 'susieQ';
  my $SuperUserPassword   = ''something short and memorable";
  
# The maximum number of currencies for one user:
  my $MaxCurrenciesOwned  = 5;

# The header information for top of every screen.  
# HTML markup may be included:
  my $ccVersion =
  
 'The required header text to appear on each screen    <br>
      <small> community currencies service  -  cc ver 0.1</small>     ';

# Additional information just for initial screen
# HTML markup may be included:
  my $Disclaimer =

     '   <small>  - operates by cc college protocols - </small>  ';
#---------------
# template for password-notification messages.

  my $PasswordMessage = <<'xxxxx'
"To: \"$ToAddr\" <$AcctEmail>
From: ccsupport\@whatevercommunitysystem.org
Subject: Account notification from cc community currencies

URL: http://www.whatevercommunitysystem.org/login

Here is the latest information regarding your account.

    Account ID: $AcctId
    Name: $AcctName
    $MailLine
    $PasswordLine

We hope you are finding the cc trading system useful.
"    
xxxxx
  ;

#---------------
# The template for administrative trades:

my $AdminTradeMessageString = <<'xxxxx'
"To: \"$ToName\" <$ToEmail>
From: ccsupport\@whatevercommunitysystem.org
Subject: Administrative trade notification

URL: http://www.whatevercommunitysystem.org/login

The $CurrencyId currency administrator 
($AdminAcctId) has entered 
a $TradeType that affects your account.

    From account: $SourceAcctId
      To account: $DestAcctId
          Amount: $Amount
             For: $Item

"   
xxxxx
  ;

#---------------
#  returns the above parameters to the main script:

  #--------------------------------------------------
  sub SetConfig
  {
    return (
  $SuperUser, $SuperUserPassword,
  $MaxCurrenciesOwned, $ccVersion, $Disclaimer,
  $AdminTradeMessageString, $PasswordMessage,
  $DBHandler, $DBName, $DBUser, $DBPassword
    )
  }
#---------------------------------------------------
1 ;
#---------------------------------------------------



